Skip to main content
GET
/
artifacts
/
{org}
List artifacts
curl --request GET \
  --url https://app.kosli.com/api/v2/artifacts/{org} \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://app.kosli.com/api/v2/artifacts/{org}"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://app.kosli.com/api/v2/artifacts/{org}', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));


[
  {
    "id": "<string>",
    "fingerprint": "<string>",
    "filename": "<string>",
    "created_at": "<string>",
    "last_modified_at": "<string>",
    "evidence": {},
    "trail_name": "<string>",
    "template_reference_name": "<string>",
    "git_commit": "<string>",
    "git_commit_info": {
      "sha1": "<string>",
      "message": "<string>",
      "author": "<string>",
      "author_username": "<string>",
      "branch": "<string>",
      "timestamp": 123,
      "url": "<string>",
      "parents": [
        "<string>"
      ],
      "verified": true,
      "signature_state": "<string>"
    },
    "repo_info": {
      "name": "<string>",
      "url": "<string>",
      "id": "<string>",
      "description": "<string>"
    },
    "commit_url": "<string>",
    "build_url": "<string>",
    "repo_url": "<string>",
    "html_url": "<string>",
    "api_url": "<string>",
    "user_data": null,
    "external_urls": {},
    "annotations": {},
    "deployments": [],
    "releases": []
  }
]
{
  "message": "<string>",
  "errors": {}
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

org
string
required

Query Parameters

flow_name
string | null

The name of the flow to list artifacts from

Pattern: ^[a-zA-Z0-9][a-zA-Z0-9\.\-_~]*$
repo_name
string | null

The name of the repo to list artifacts from

page
integer
default:1

The page number of response

per_page
integer
default:15

How many artifacts to return per page of response

Response

Successful Response

id
string
required
fingerprint
string
required
Pattern: ^[a-f0-9]{64}$
filename
string
required
created_at
string
required
last_modified_at
string
required
evidence
Evidence · object
required
trail_name
string | null
Pattern: ^[a-zA-Z0-9][a-zA-Z0-9\-_.~]*$
template_reference_name
string | null
Pattern: ^[a-zA-Z0-9\-_]+$
git_commit
string | null
Pattern: ^[a-f0-9]{40}$
git_commit_info
GitCommit · object | null
repo_info
RepoInfoResponse · object | null
commit_url
string | null
build_url
string | null
repo_url
string | null
html_url
string | null
api_url
string | null
user_data
unknown
external_urls
External Urls · object | null
annotations
Annotations · object | null
state
enum<string> | null
Available options:
COMPLIANT,
NON-COMPLIANT,
INCOMPLETE
deployments
integer[]
releases
integer[]
Last modified on July 10, 2026